Package it.ernytech.tdlib

## Class TdApi.InlineQueryResult

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InlineQueryResult

Direct Known Subclasses:
  `TdApi.InlineQueryResultAnimation`, `TdApi.InlineQueryResultArticle`, `TdApi.InlineQueryResultAudio`, `TdApi.InlineQueryResultContact`, `TdApi.InlineQueryResultDocument`, `TdApi.InlineQueryResultGame`, `TdApi.InlineQueryResultLocation`, `TdApi.InlineQueryResultPhoto`, `TdApi.InlineQueryResultSticker`, `TdApi.InlineQueryResultVenue`, `TdApi.InlineQueryResultVideo`, `TdApi.InlineQueryResultVoiceNote`

Enclosing class:
  TdApi

    public abstract static class TdApi.InlineQueryResult
    extends TdApi.Object

This class is an abstract base class. Represents a single result of an inline query.

### Constructor Summary

Constructors
`InlineQueryResult()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### InlineQueryResult

    public InlineQueryResult()